# GimpUi.ColorProfileStore.add_file

    @accepts(GimpUi.ColorProfileStore, Gio.File, unicode)
    @returns(none)
    def add_file(self, file, label):
        # Python wrapper for gimp_color_profile_store_add_file()

Adds a color profile item to the GimpUi.ColorProfileStore. Items added with this function will be kept at the top, separated from the history of last used color profiles.

This function is often used to add a selectable item for the None file. If you pass None for both file and label, the label will be set to the string "None" for you (and translated for the user).

Since 2.10

self

  a GimpUi.ColorProfileStore

file

  Gio.File of the profile to add (or None)

label

  label to use for the profile (may only be None if file is None)